org.codehaus.plexus.util.io

## Class URLInputStreamFacade

- java.lang.Object
- - org.codehaus.plexus.util.io.URLInputStreamFacade

- All Implemented Interfaces:
    InputStreamFacade

      public class URLInputStreamFacade
      extends Object
      implements InputStreamFacade

  Implementation of `InputStreamFacade` for URL's.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLInputStreamFacade(URL url)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getInputStream()` Retrieves the actual `InputStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URLInputStreamFacade

          public URLInputStreamFacade(URL url)

  - ### Method Detail

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Description copied from interface: `InputStreamFacade`
      Retrieves the actual `InputStream`. The caller must assume, that this method may be invoked only once.
      Specified by:
        `getInputStream` in interface `InputStreamFacade`
      Throws:
        `IOException`

Copyright © 2015. All rights reserved.